Bug 1085982 - [GSS](6.3.0) Envers: Column of Embedded missing in Audit Table (HHH-8908)
Summary: [GSS](6.3.0) Envers: Column of Embedded missing in Audit Table (HHH-8908)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate
Version: 6.1.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: EAP 6.3.0
Assignee: Gail Badner
QA Contact: Zbyněk Roubalík
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 1089020
TreeView+ depends on / blocked
 
Reported: 2014-04-09 19:30 UTC by Stephen Fikes
Modified: 2018-12-05 18:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
This release of JBoss EAP 6 contains a bug that prevents attributes inherited from superclasses in Hibernate from being audited unless the class is marked as @Audited. The workaround is to ensure that the @Audited attribute is used in classes to be tracked. This issue is expected to be resolved in a future release of the product.
Clone Of:
: 1089020 (view as bug list)
Environment:
Last Closed: 2014-07-24 20:05:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Stephen Fikes 2014-04-09 19:30:58 UTC
Description of problem:
See https://hibernate.atlassian.net/browse/HHH-8908

Version-Release number of selected component (if applicable):
* Hibernate Envers 4.1.3.Final (JBoss EAP 6.0.0)
* Hibernate Envers 4.2.0.SP1.Final (JBoss EAP 6.1.1)

How reproducible:
Deterministically

Steps to Reproduce:
See Jira

Actual results:
See Jira

Expected results:
See Jira

Additional info:

Comment 2 Gail Badner 2014-07-24 20:05:34 UTC
Embeddables that extend a mapped-superclass is not fully supported by Envers. It will involve changing default behavior. This is really a new feature and is covered by: 

https://hibernate.atlassian.net/browse/HHH-9193

Since it will change default behavior, it will be a breaking change. We plan to fix this in Hibernate 5.


Note You need to log in before you can comment on or make changes to this bug.